From 130e09d1c7ff02c09e4ad1c9c36e9940b68e58d8 Mon Sep 17 00:00:00 2001
From: Martin Pitt <martin@piware.de>
Date: Thu, 16 Sep 2021 10:10:03 +0200
Subject: [PATCH] tests/mock: Get along with existing mock /sys/{bus,class}
 directories

This was fixed in umockdev 0.16.3, but now causes warning messages due
to the existing directories. This at least breaks Debian/Ubuntu's
autopkgtests.
---
 tests/mock-sysfs.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/tests/mock-sysfs.c b/tests/mock-sysfs.c
index 6d0df1d..9d08430 100644
--- a/tests/mock-sysfs.c
+++ b/tests/mock-sysfs.c
@@ -175,19 +175,21 @@ mock_sysfs_init (MockSysfs *ms)
   ms->devices = g_hash_table_new (g_str_hash, g_str_equal);
 
   /* udev_enumerate_scan_devices() will return -ENOENT, if
-   * sys/bus or sys/class directories can not be found
+   * sys/bus or sys/class directories can not be found;
+   * fixed in https://github.com/martinpitt/umockdev/commit/5e8296014346
+   * but work with older versions as well
    */
   sys = umockdev_testbed_get_sys_dir (ms->bed);
 
   bus = g_build_filename (sys, "bus", NULL);
   r = g_mkdir (bus, 0744);
 
-  if (r < 0)
+  if (r < 0 && errno != EEXIST)
     g_warning ("could not create %s", bus);
 
   cls = g_build_filename (sys, "class", NULL);
   r = g_mkdir (cls, 0744);
-  if (r < 0)
+  if (r < 0 && errno != EEXIST)
     g_warning ("could not create %s", bus);
 }
 
-- 
